unit uIEditorEpigrafe;

interface

uses
  uEditorDBItem, uBizEpigrafes, uEpigrafesController;

type
  IEditorEpigrafe = interface(IEditorDBItem)
  ['{3CDABEA1-F952-4F35-8A31-279FFB7C31E4}']
    function GetController : IEpigrafesController;
    procedure SetController (const Value : IEpigrafesController);
    property Controller : IEpigrafesController read GetController write SetController;

    function GetEpigrafe: IBizEpigrafe;
    procedure SetEpigrafe(const Value: IBizEpigrafe);
    property Epigrafe: IBizEpigrafe read GetEpigrafe write SetEpigrafe;

    function ShowModal : Integer;
    procedure Release;
  end;


implementation

end.
